Skip to main content
`Ctrl`+`K`

# PetscDrawSetDoubleBuffer

Sets a window to be double buffered.

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawSetDoubleBuffer(PetscDraw draw)

Logically Collective

## Input Parameter

- draw - the drawing context

## See Also

`PetscDraw`, `PetscDrawOpenX()`, `PetscDrawCreate()`

## Level

intermediate

## Location

src/sys/classes/draw/interface/draw.c

## Examples

src/ts/tutorials/ex2.c
src/ts/tutorials/ex6.c
src/ts/tutorials/ex21.c
src/ts/tutorials/ex5.c
src/ts/tutorials/ex3.c
src/ts/tutorials/ex4.c

## Implementations

PetscDrawSetDoubleBuffer_Image() in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawSetDoubleBuffer_Win32() in src/sys/classes/draw/impls/win32/win32draw.c
PetscDrawSetDoubleBuffer_X() in src/sys/classes/draw/impls/x/xops.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages